﻿#region Copyright Syncfusion Inc. 2001 - 2012
//
//  Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;
using System.ComponentModel;
using System.Drawing;
using System.Diagnostics;

namespace GenerateWord
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        # region Constructor
        /// <summary>
        /// Window constructor
        /// </summary>
        public Window1()
        {
            InitializeComponent();
            ImageSourceConverter img = new ImageSourceConverter();
            image1.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\docio_header.png");
            imgbutton.Source = (ImageSource)img.ConvertFromString(@"..\..\Images\docio_button.png");            
            this.Icon =(ImageSource)img.ConvertFromString(@"..\..\Images\docio_button.png");            
        }
        # endregion

        /// <summary>
        /// Creates word document
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string filePath = @"..\..\Data\";

            //Creates a new Word document 
            WordDocument document = new WordDocument();
            //Adds new section to the document
            IWSection section = document.AddSection();

            //Adds new list style to the document          
            ListStyle listStyle = document.AddListStyle(ListType.Numbered, "UserDefinedList");

            WListLevel levelOne = listStyle.Levels[0];
            //Defines the follow character, prefix from previous level, start index for level 0
            levelOne.FollowCharacter = FollowCharacterType.Nothing;
            levelOne.PatternType = ListPatternType.Arabic;
            levelOne.StartAt = 1;

            WListLevel levelTwo = listStyle.Levels[1];
            //Defines the follow character, prefix from previous level, pattern, start index for level 1
            levelTwo.FollowCharacter = FollowCharacterType.Nothing;
            //Numbered list should meet the syntax “\u000N” in order to update the previous list level value as prefix to the current list level. 
            levelTwo.NumberPrefix = "\u0000.";
            levelTwo.PatternType = ListPatternType.Arabic;
            levelTwo.StartAt = 1;

            WListLevel levelThree = listStyle.Levels[2];
            //Defines the follow character, prefix from previous level, pattern, start index for level 1
            levelThree.FollowCharacter = FollowCharacterType.Nothing;
            levelThree.NumberPrefix = "\u0000.\u0001.";
            levelThree.PatternType = ListPatternType.Arabic;
            levelThree.StartAt = 1;

            //Adds new paragraph to the section
            IWParagraph paragraph = section.AddParagraph();
            //Adds text to the paragraph
            paragraph.AppendText("User defined list - Level 0");
            //Applies default numbered list style
            paragraph.ListFormat.ApplyStyle("UserDefinedList");

            //Adds second paragraph
            paragraph = section.AddParagraph();
            paragraph.AppendText("User defined list - Level 1");
            //Continues last defined list
            paragraph.ListFormat.ContinueListNumbering();
            //Increases the level indent
            paragraph.ListFormat.IncreaseIndentLevel();
            //Adds second paragraph
            paragraph = section.AddParagraph();
            paragraph.AppendText("User defined list - Level 1");
            //Continues last defined list
            paragraph.ListFormat.ContinueListNumbering();
            //Increases the level indent

            //Adds second paragraph
            paragraph = section.AddParagraph();
            paragraph.AppendText("User defined list - Level 2");
            //Continues last defined list
            paragraph.ListFormat.ContinueListNumbering();
            //Increases the level indent
            paragraph.ListFormat.IncreaseIndentLevel();

            //Adds second paragraph
            paragraph = section.AddParagraph();
            paragraph.AppendText("User defined list - Level 0");
            //Continues last defined list
            paragraph.ListFormat.ContinueListNumbering();
            //Decreases the level indent
            paragraph.ListFormat.DecreaseIndentLevel();
            paragraph.ListFormat.DecreaseIndentLevel();

            //Saves the Word document
            document.Save(filePath + "Result.docx", FormatType.Docx);
            //Closes the document
            document.Close();
            System.Diagnostics.Process.Start(filePath + "Result.docx");
        }
    }
}